Get your partner
curl --request GET \
--url https://api.voucher-staging.allride.io/partner/v1/partner \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.voucher-staging.allride.io/partner/v1/partner', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.voucher-staging.allride.io/partner/v1/partner"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://api.voucher-staging.allride.io/partner/v1/partner")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.voucher-staging.allride.io/partner/v1/partner"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.voucher-staging.allride.io/partner/v1/partner",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": 1069,
"resource": "partner",
"slug": "example-transit",
"name": "Example Transit",
"legalName": "Example Transit GmbH",
"isProvider": false,
"isConsumer": true,
"status": "active",
"apiAccessStatus": "active",
"apiAccessRequestedBy": {
"type": "partner-user",
"id": 4069,
"label": "[email protected]"
},
"apiAccessRequestedAt": "2026-10-20T09:30:00Z",
"apiAccessDecidedBy": {
"type": "admin-user",
"id": null,
"label": "AllRide"
},
"apiAccessDecidedAt": "2026-10-20T11:02:15Z",
"apiAccessDecisionReason": null,
"defaultLocale": "de",
"timezone": "Europe/Berlin",
"country": "DE",
"contacts": {
"technicalEmail": "[email protected]",
"operationsEmail": "[email protected]",
"billingEmail": "[email protected]"
},
"settings": {
"mfaRequired": true,
"ipAllowlistEnforcement": "api-keys",
"emailOtpLinksEnabled": false,
"defaultLandingDomainId": null
},
"activatedAt": "2026-10-20T09:00:00Z",
"suspendedAt": null,
"suspensionReason": null,
"createdAt": "2026-10-19T14:02:11.418Z",
"updatedAt": "2026-10-22T07:44:09.120Z",
"_links": {
"self": {
"href": "https://api.voucher.allride.io/partner/v1/partner",
"type": "application/json"
},
"workspaceBranding": {
"href": "https://api.voucher.allride.io/partner/v1/branding/workspace",
"type": "application/json"
}
}
}
}Partner
Get your partner
Returns your partner record with contacts, API access state and settings. Consumer partners also get settings.emailOtpLinksEnabled and settings.defaultLandingDomainId.
Required permissions: view-profile · API keys: allowed
GET
/
partner
/
v1
/
partner
Get your partner
curl --request GET \
--url https://api.voucher-staging.allride.io/partner/v1/partner \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.voucher-staging.allride.io/partner/v1/partner', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.voucher-staging.allride.io/partner/v1/partner"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://api.voucher-staging.allride.io/partner/v1/partner")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.voucher-staging.allride.io/partner/v1/partner"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.voucher-staging.allride.io/partner/v1/partner",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": 1069,
"resource": "partner",
"slug": "example-transit",
"name": "Example Transit",
"legalName": "Example Transit GmbH",
"isProvider": false,
"isConsumer": true,
"status": "active",
"apiAccessStatus": "active",
"apiAccessRequestedBy": {
"type": "partner-user",
"id": 4069,
"label": "[email protected]"
},
"apiAccessRequestedAt": "2026-10-20T09:30:00Z",
"apiAccessDecidedBy": {
"type": "admin-user",
"id": null,
"label": "AllRide"
},
"apiAccessDecidedAt": "2026-10-20T11:02:15Z",
"apiAccessDecisionReason": null,
"defaultLocale": "de",
"timezone": "Europe/Berlin",
"country": "DE",
"contacts": {
"technicalEmail": "[email protected]",
"operationsEmail": "[email protected]",
"billingEmail": "[email protected]"
},
"settings": {
"mfaRequired": true,
"ipAllowlistEnforcement": "api-keys",
"emailOtpLinksEnabled": false,
"defaultLandingDomainId": null
},
"activatedAt": "2026-10-20T09:00:00Z",
"suspendedAt": null,
"suspensionReason": null,
"createdAt": "2026-10-19T14:02:11.418Z",
"updatedAt": "2026-10-22T07:44:09.120Z",
"_links": {
"self": {
"href": "https://api.voucher.allride.io/partner/v1/partner",
"type": "application/json"
},
"workspaceBranding": {
"href": "https://api.voucher.allride.io/partner/v1/branding/workspace",
"type": "application/json"
}
}
}
}